import Point;
import Rectangle;

public abstract class BasedFigure {
    public BasedFigure(Point base) { this.base = base; }
    public Point getBase() { return base; }
    abstract public Rectangle getBounds();
    private Point base;
}
